'use strict';

var Api = require('./Api-D9vOcUw4.js');
require('./Plaid-CPESyiiV.js');
require('./Pagination-Dediz133.js');
require('./Business-oBifyXkW.js');

const api = Api.Api();
class PaymentService {
    async fetchPayments(accountId, authToken, params) {
        const endpoint = `account/${accountId}/payments`;
        return api.get({ endpoint, params, authToken });
    }
    async fetchPayment(paymentId, authToken) {
        const endpoint = `payments/${paymentId}`;
        return api.get({ endpoint, authToken });
    }
    async fetchPaymentTransactions(paymentId, authToken, params) {
        const endpoint = `payments/${paymentId}/payment_balance_transactions`;
        return api.get({ endpoint, params, authToken });
    }
}

exports.PaymentService = PaymentService;
